# TS_Sundials

ODE solver using the LLNL CVODE/SUNDIALS package (now called SUNDIALS)

### Options Database

| -ts_sundials_type <bdf,adams> | - . -ts_sundials_gramschmidt_type <modified, classical> - type of orthogonalization inside GMRES
| -ts_sundials_atol <tol> | - Absolute tolerance for convergence
| -ts_sundials_rtol <tol> | - Relative tolerance for convergence
| -ts_sundials_linear_tolerance <tol> | - . -ts_sundials_gmres_restart <restart> - Number of GMRES orthogonalization directions
| -ts_sundials_not_exact_final_time | - Allow SUNDIALS to stop near the final time, not exactly on it

Notes: This uses its own nonlinear solver and Krylov method so PETSc SNES and KSP options do not apply only PETSc PC options

### See Also

TSCreate(), TS, TSSetType(), TSSundialsSetType(), TSSundialsSetGMRESRestart(), TSSundialsSetLinearTolerance(),
TSSundialsSetGramSchmidtType(), TSSundialsSetTolerance(), TSSundialsGetPC(), TSSundialsGetIterations(), TSSundialsSetExactFinalTime()

Level:beginner
Location: src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages